# Create operation block (deprecated) Creates an operation block for a division or program. An operation block prevents the execution of transactions for the specified division or program. If neither `division_code` nor `program_id` is provided, the operation block is created for the whole organization.
This endpoint is deprecated and no longer supported after December 19th, 2025. Please update your integration to use the v2 version before this date. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Operations blocks", "description": "Operations blocks endpoints" } ], "components": { "schemas": { "CreateOperationsBlockV1Request": { "description": "Create operations block request body", "type": "object", "properties": { "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "division_code": { "$ref": "#/components/schemas/DivisionCode" }, "program_id": { "$ref": "#/components/schemas/ProgramID" } }, "required": [ "description" ] }, "DivisionCode": { "type": "string", "maxLength": 36, "description": "Code used to identify your division within the organization. Division code should only contain letters, numbers, and hyphens.", "example": "US" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "OperationsBlockV1": { "type": "object", "description": "Operations block", "properties": { "id": { "$ref": "#/components/schemas/OperationsBlockV1ID" }, "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "division_code": { "$ref": "#/components/schemas/DivisionCode" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "created_at": { "$ref": "#/components/schemas/OperationBlockCreatedAt" } }, "required": [ "id", "description" ] }, "OperationBlockCreatedAt": { "type": "string", "format": "date-time", "description": "Operation block creation timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-16T06:50:08.83861056Z" }, "OperationsBlockDescription": { "type": "string", "maxLength": 100, "description": "Operations block description", "example": "FDIC operations block" }, "OperationsBlockV1ID": { "type": "integer", "format": "int64", "description": "Operations block ID", "minimum": 0, "maximum": 99999999999, "example": 15 }, "ProgramID": { "type": "integer", "format": "int64", "maximum": 99999999999, "description": "Program ID. The program must belong to the organization. Use [List programs](https://developers.pismo.io/pismo-docs/reference/programs-1) to view a list of the program IDs for the organization.\n\nThis program must be bound to the division. You can attach the program with either of the following endpoints:\n[Create division](https://developers.pismo.io/pismo-docs/reference/post-division-v2)\n[Patch division](https://developers.pismo.io/pismo-docs/reference/patch-division-v2)\n", "example": 8674 } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "The request has been lost" }, "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v1/operations-blocks": { "post": { "summary": "Create operation block (deprecated)", "deprecated": true, "description": "Creates an operation block for a division or program. An operation block prevents the execution of transactions for the specified division or program.\n\nIf neither `division_code` nor `program_id` is provided, the operation block is created for the whole organization.
\nThis endpoint is deprecated and no longer supported after December 19th, 2025. Please update your integration to use the v2 version before this date.\n", "operationId": "corporate-post-v1-operation-blocks", "parameters": [], "tags": [ "Operations blocks" ], "requestBody": { "description": "Create operation block request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateOperationsBlockV1Request" }, "examples": { "Operation block": { "value": { "description": "FDIC operation block", "division_code": "my-division-code", "program_id": 15 } }, "Operation blocks for the whole organization": { "value": { "description": "FDIC operation block" } } } } } }, "responses": { "201": { "description": "Created", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/OperationsBlockV1" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Invalid JSON payload": { "value": { "code": "WOBK0001", "message": "Invalid JSON payload received: Error unmarshalling request" } }, "description required": { "value": { "code": "WDOR0002", "message": "description is a required field" } }, "division not found": { "value": { "code": "WOBK0003", "message": "Division not found" } }, "program not found": { "value": { "code": "WOBK0004", "message": "Program not found" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "409": { "description": "Conflict", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Operations block already exists": { "value": { "code": "WOBK0008", "message": "Operations block already exists" } } } } } }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```